spring:
  servlet:
    multipart:
      max-file-size: 10MB
      max-request-size: 10MB
  cloud:
    gateway:
      discovery:
        locator:
          lowerCaseServiceId: true
          enabled: true
      routes:
        # 认证中心
        - id: iiot-auth
          uri: lb://iiot-auth
          predicates:
            - Path=/auth/**
          filters:
            # 验证码处理
            - CacheRequestFilter
            # - ValidateCodeFilter
            - StripPrefix=1
        # 系统模块
        - id: iiot-system
          uri: lb://iiot-system
          predicates:
            - Path=/system/**
          filters:
            - StripPrefix=1
        # 文件服务
        - id: iiot-file
          uri: lb://iiot-file
          predicates:
            - Path=/file/**
          filters:
            - StripPrefix=1
        # 文件服务
        - id: iiot-license
          uri: lb://iiot-license
          predicates:
            - Path=/lic/**
          filters:
            - StripPrefix=1

# 安全配置
security:
  # 验证码
  captcha:
    enabled: false
    type: math
  # 防止XSS攻击
  xss:
    enabled: true
    excludeUrls:
      - /system/notice
  # 不校验白名单
  ignore:
    whites:
      - /auth/logout
      - /auth/login
      - /auth/cardlogin
      - /system/config/configKeys/*
      - /*/v2/api-docs
      - /csrf
      - /swagger-ui/index.html
      - /lic/license/*